using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.IO;
using System.Text;

public partial class Admin_SheZhi_DanWeiMingCi : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改单位和名词设置", "网站后台", "更改单位和名词设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            更改设置();
        else
            初始化设置();
    }
    private void 初始化设置()
    {
        NanXingMingCi.Text = Convert.ToString(程序.设置["单位名词_男性名词"]);
        NvXingMingCi.Text = Convert.ToString(程序.设置["单位名词_女性名词"]);
        JiFenMingCi.Text = Convert.ToString(程序.设置["单位名词_积分名词"]);
        JiFenDanWei.Text = Convert.ToString(程序.设置["单位名词_积分单位"]);
    }
    private void 更改设置()
    {
        访问.验证权限("1");
        程序.设置["单位名词_男性名词"] = NanXingMingCi.Text;
        程序.设置["单位名词_女性名词"] = NvXingMingCi.Text;
        程序.设置["单位名词_积分名词"] = JiFenMingCi.Text;
        程序.设置["单位名词_积分单位"] = JiFenDanWei.Text;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改单位与名词设置", 访问.用户["昵称"].ToString());
    }
}
